using System.Collections;
using System.Collections.Generic;
using UnityEngine;

[System.Serializable]
public class JointsData
{
    public List<float> jointsPositionsX = new List<float>();
    public List<float> jointsPositionsY = new List<float>();
    public List<float> jointsPositionsZ = new List<float>();

    public JointsData(Transform[] jointsData)
    {
        foreach(Transform t in jointsData)
        {
            jointsPositionsX.Add(t.position.x);
            jointsPositionsY.Add(t.position.y);
            jointsPositionsZ.Add(t.position.z);
        }
    }
}
